/*
 * fingerpaths.h --
 *	Location of files used by GNU Finger,
 *	generated from config.h and fingerpaths.cfg
 *
 * Copyright (C) 1988,1990 Free Software Foundation, Inc.
 * Copyright (C) 1991 International Computer Science Institute, Berkeley, USA.
 *
 * This file is part of GNU Finger.
 * 
 * GNU Finger is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 1, or (at your
 * option) any later version.
 *
 * GNU Finger is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Finger; see the file COPYING.  If not, write to the
 * Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: fingerpaths.cfg,v 1.4 1993/01/01 01:04:46 stolcke Exp $ ICSI (Berkeley)
 */

/* Directory which contains datafiles that GNU Finger needs.  You
   can override this directory in the Makefile. The name does NOT end
   in a slash. */
#ifndef FINGERDIR
#define FINGERDIR "/usr/spool/fingerdir"
#endif

/* File which contains the data received from all active polled hosts. */
#define HOSTDATA "/usr/spool/fingerdir/hostdata"

/* File which contains the data pertaining to the location of users. */
#define USERDATA "/usr/spool/fingerdir/userdata"

/* File which contains the status of each client that we poll. */
#define HOSTSTAT "/usr/spool/fingerdir/clientstatus"

/* File of terminal->location mappings, one per line.  The first word on the
   line is the terminal name, the remaining words are the location.
   The best way to do this if for each host to have a file that is unique tona
   them, perhaps by placing it in a local-only directory.  An alternative is
   to have the file contain host->host_locations, which isn't as good, but
   still works. */
#ifndef TTYLOCFILE
#define TTYLOCFILE "/usr/spool/fingerdir/ttylocs"
#endif

/* File with miscellaneous host configuration info. */
#ifndef HOSTCONFIGFILE
#define HOSTCONFIGFILE "/usr/spool/fingerdir/hostconfig"
#endif

/* Directory to look for special target scripts in */
#ifndef TARGETDIR
#define TARGETDIR "/usr/spool/fingerdir/targets"
#endif

